> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# List complimentary access <Badge intent="info" minimal outlined>OAuth Scope: complimentary_access:read</Badge>

GET https://api.beehiiv.com/v2/publications/{publicationId}/complimentary_access

Retrieve all complimentary access objects belonging to a specific publication.

Reference: https://developers.beehiiv.com/api-reference/complimentary-access/index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object

### Query parameters

- `expand[]` (string, optional) — Optional list of expandable objects.`tier` - Returns the full tier object associated with this complimentary access.`stats` - Returns granted subscription counts.
- `limit` (integer, optional) — A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
- `cursor` (string, optional) — Use this opaque cursor token to fetch the next page of results. Obtain the value from `next_cursor` in a previous response.

## Response

### 200

OK

- `data` (list of ComplimentaryAccess, required)
- `limit` (integer, optional) — The limit placed on the results. Defaults to 10 if not specified.
- `has_more` (boolean, optional) — Indicates whether there are more results available after the current page.
- `next_cursor` (string, optional) — The cursor token to use for fetching the next page of results. This will be null if has_more is false.
- `total_results` (integer, optional) — The total number of results from all pages.

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### ComplimentaryAccess

The complimentary access object.

- `id` (string, required) — The prefixed ID of the complimentary access object.
- `time_unit` (enum, required) — The unit of time for the gift duration.
  - Allowed values: `days`, `months`, `years`, `forever`
- `description` (string, required) — A human-readable description of the gift (e.g., "3 Months Gift", "Lifetime Gift").
- `duration` (integer, optional) — The duration of the gift. Null when time_unit is "forever".
- `tier_id` (string, optional) — The prefixed ID of the associated tier. Always present.
- `tier` (Tier, optional) — The full tier object. Present when `expand: [tier]` is requested. Returned alongside `tier_id`.
- `stats` (ComplimentaryAccessStats, optional) — Stats for this complimentary access. Retrievable by including `expand: [stats]` in the request.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

### Tier

The subscription tier object.

- `id` (string, required) — The prefixed ID of the tier.
- `name` (string, required)
- `status` (enum, required) — Returns whether or not the tier has any active prices.
  - Allowed values: `active`, `archived`
- `description` (string, optional, default: Super engaged readers)
- `stats` (TierStats, optional) — Optional list of stats for a tier. Retrievable by including `expand: [stats]` in the tier request body.
- `prices` (list of TierPrice, optional) — Optional list of prices for a tier. Retrievable by including `expand: [prices]` in the tier request body.

### ComplimentaryAccessStats

Optional stats for a complimentary access object. Retrievable by including `expand: [stats]` in the request.

- `total_granted` (integer, required) — Total number of subscriptions that have ever been granted this complimentary access.
- `active_granted` (integer, required) — Number of subscriptions currently within an active complimentary access period.

### TierStats

Optional list of stats for a tier. Retrievable by including `expand: [stats]` in the tier request body.

- `active_subscriptions` (integer, required) — Total number of active subscriptions belonging to this tier.

### TierPrice

Price belonging to a Tier

- `id` (string, optional) — The prefixed ID of the price.
- `currency` (enum, optional)
  - Allowed values: `usd`, `aud`, `cad`, `eur`, `gbp`, `inr`, `brl`, `mxn`, `nzd`, `dkk`
- `amount_cents` (integer, optional)
- `enabled` (boolean, optional, default: true)
- `interval` (enum, optional)
  - Allowed values: `month`, `quarter`, `year`, `one_time`, `donation`
- `denominator` (string, optional)
- `cta` (string, optional) — When using the external Stripe checkout, this text will be displayed on the button
- `features` (list of string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "comp_access_00000000-0000-0000-0000-000000000000",
      "time_unit": "months",
      "description": "3 Months Gift",
      "duration": 3,
      "tier_id": "tier_00000000-0000-0000-0000-000000000000"
    }
  ],
  "limit": 10,
  "has_more": false,
  "next_cursor": null,
  "total_results": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/complimentary_access")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```